Skip to main content
PATCH
/
projects
/
{project_id}
/
project-users
/
{project_user_id}
Update project user
curl --request PATCH \
  --url https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users/{project_user_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "email": "oliver@example.com"
}
'
{
  "project_user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "role": "<string>",
    "hourly_rate": 123,
    "name": "<string>",
    "email": "jsmith@example.com",
    "time_zone": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt

Use this file to discover all available pages before exploring further.

Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

project_id
string
required

Unique ID of the project for which you want to retrieve or update details. Refer to Getting the Project ID section for detailed instructions.

project_user_id
string<uuid>
required

Unique ID of the project user record. Refer to Getting the Project User ID section for detailed instructions.

Body

application/json
email
string<email>
required

Email of the person updating the project user.

Example:

"oliver@example.com"

project_user
object

Response

200 - application/json

OK - Project user updated successfully

project_user
object